.\"	$NetBSD: sbus.4,v 1.8 2008/04/30 13:10:54 martin Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Paul Kranenburg.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 7, 2009
.Dt SBUS 4
.Os
.Sh NAME
.Nm SBus
.Nd introduction to machine-independent SBus bus support and drivers
.Sh SYNOPSIS
.Cd "sbus* at mainbus?"
.Cd "sbus* at iommu?"
.Cd "sbus* at xbox?"
.Pp
These
.Nm
attachments are specific to the
.Nx Ns /sparc
and
.Nx Ns /sparc64
ports.
.Sh DESCRIPTION
.Nm
is a I/O interconnect bus mostly found in
.Tn SPARC
workstations and small to medium server class systems.
It supports both on-board peripherals and extension boards.
The
.Nm
specifications define the bus protocol as well as the electrical and
mechanical properties of the extension slots.
.Sh HARDWARE
.Nx
includes machine-independent
.Nm
drivers, sorted by device type and driver name:
.Ss SCSI interfaces
.Bl -tag -width xxxxxxxx -offset indent
.It esp
NCR53c94 and compatible
.Tn SCSI
interfaces.
.It isp
Qlogic
.Tn SCSI
interfaces.
.El
.Ss Network interfaces
.Bl -tag -width xxxxxxxx -offset indent
.It le
.Tn Lance
7990 series
.Tn Ethernet
interfaces.
.It hme
.Dq Happy Meal
.Tn Ethernet
interfaces.
.It en
Midway-based Efficient Networks Inc. and Adaptec ATM interfaces.
.It be
.Dq Big Mac
.Tn Ethernet
board.
.It qe
Quad Ethernet Controller
board.
.El
.Ss Bridges
.Bl -tag -width xxxxxxxx -offset indent
.It xbox
an
.Nm Sbus
expansion box.
.El
.Ss Graphics devices
.Bl -tag -width xxxxxxxx -offset indent
.It bwtwo
framebuffer device.
.It cgthree
framebuffer device.
.It cgsix
framebuffer device.
.It pnozz
framebuffer device.
.It tcx
framebuffer device.
.It zx
framebuffer device.
.El
.Ss Audio devices
.Bl -tag -width xxxxxxxx -offset indent
.It audiocs
CS4231 codec.
.El
.Ss Serial interfaces
.Bl -tag -width xxxxxxxx -offset indent
.It magma
Magma Serial/Parallel combo device.
.El
.Ss Floppy interfaces
.Bl -tag -width xxxxxxxx -offset indent
.It fdc
Floppy disk controller
.El
.Sh SEE ALSO
.Xr audiocs 4 ,
.Xr be 4 ,
.Xr bwtwo 4 ,
.Xr cgsix 4 ,
.Xr cgthree 4 ,
.Xr en 4 ,
.Xr esp 4 ,
.Xr fdc 4 ,
.Xr hme 4 ,
.Xr intro 4 ,
.Xr isp 4 ,
.Xr le 4 ,
.Xr magma 4 ,
.Xr pnozz 4 ,
.Xr qe 4 ,
.Xr tcx 4 ,
.Xr xbox 4 ,
.Xr zx 4
.Sh HISTORY
The machine-independent
.Nm SBus
subsystem appeared in
.Nx 1.3 .
